# Get Whois **GET /whois/whois** Gets the Whois information for the given domain. Returns the information if successful, otherwise returns an error. Permissions Required: `Whois::Whois` ## Servers - Production Server: https://thefemdevs.com/api (Production Server) ## Authentication methods - Api token ## Parameters ### Headers - **x-domain** (string) The domain to get the Whois information for ## Responses ### 200 The Whois information for the given domain #### Body: application/json (object) - **domainName** (string) The domain name - **registrar** (string) The registrar of the domain - **creationDate** (string) The creation date of the domain - **expirationDate** (string) The expiration date of the domain - **updatedDate** (string) The updated date of the domain - **registrant** (object) The Information on a representative from the Whois Response - **admin** (object) The Information on a representative from the Whois Response - **tech** (object) The Information on a representative from the Whois Response - **billing** (object) The Information on a representative from the Whois Response - **status** (array[string]) The status of the domain ### 400 Missing domain information #### Body: application/json (object) - **code** (integer) The error code - **message** (string) The error message ### 401 Invalid/Missing API Token #### Body: application/json (object) - **code** (integer) The error code - **message** (string) The error message ### 403 Missing Permissions #### Body: application/json (object) - **code** (integer) The error code - **message** (string) The error message [Powered by Bump.sh](https://bump.sh)